package main

import (
	"database/sql"
	"fmt"

	// go mod init lesson5
	// go get github.com/lib/pq が必要
	_ "github.com/lib/pq"
)

func main() {
	db, err := sql.Open("postgres", "host=localhost port=5432 user=postgres password=postgres dbname=lesson5 sslmode=disable")
	if err != nil {
		fmt.Println("データベースへの接続に失敗しました:", err)
		return
	}

	_, err = db.Exec("INSERT INTO employee (id, name, email) VALUES (1, '木村', 'kimura@example.com')")
	if err != nil {
		fmt.Println("SQLの実行に失敗しました:", err)
		return
	}

	if err := db.Close(); err != nil {
		fmt.Println("データベースの切断に失敗しました:", err)
	}

	fmt.Println("完了")
}
